library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity sh_reg_1puls is
	port(
		CLK  : in  std_logic;
		SRST : in  std_logic;
		DO   : out std_logic
	);
end sh_reg_1puls;

architecture RTL of sh_reg_1puls is
	signal dat_reg : std_logic;

begin
	process(CLK, SRST) is
	begin
		if rising_edge(CLK) then
			if SRST = '1' then
				dat_reg <= '1';
			else
				dat_reg <= '0';
			end if;
		end if;
	end process;

	DO <= dat_reg;
end architecture RTL;
